Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRequest.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRequest.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRequest.cs	(revision 51)
@@ -0,0 +1,633 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+using System.Collections;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.SubForms;
+
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    // 「請求先／現場選択」画面
+    public partial class FrmSelectRequest : Form
+    {
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+
+        public enum OpenMode
+        {
+            AddCmp,         // 発注先追加
+            AddFld,         // 現場追加
+        }
+
+        // 表示カラム ※■は非表示セル
+        private enum DispColumn
+        {
+            No = 0,                                                             // No.
+            RequestNo,                                                          // ■工事番号
+            OrderNo,                                                            // ■受付番号
+            OrderersDivision,                                                   // ■発注先区分
+            OrderersCode,                                                       // ■発注者コード
+            FieldName,                                                          // 現場名
+            BillCreationDate,                                                   // 請求書発行日
+            BillTotalPrice,                                                     // 請求書金額合計
+            BillPrice,                                                          // ■請求金額
+            TaxPrice,                                                           // ■消費税
+            Select,                                                             // 選択チェックBOX
+            PersonName,                                                         // ■担当者
+            DepartmentCode,                                                     // ■所属部署コード
+        }
+
+        // 取得するデータ項目
+        private enum ClickGetData
+        {
+            RequestNo = 0,
+            OrderNo,
+            OrderersDivision,
+            OrderersCode,
+            BillCreationDate,
+            BillTotalPrice,
+            BillPrice,
+            TaxPrice,
+            DetailString,
+            PersonName,
+            DepartmentCode,
+        }
+
+        // オープンモード
+        public OpenMode m_mode = OpenMode.AddCmp;
+
+        // 発注者追加：発注者区分情報
+        List<int> m_lstOrderDiv = new List<int>();
+
+        // 発注者追加：発注者情報
+        List<int> m_lstOrderCode = new List<int>();
+
+        // 発注者追加：編集データクラス
+        public class AddCmpData
+        {
+            public bool isEdit { set; get; }
+            public int OrderersDivision { set; get; }
+            public int OrderersCode { set; get; }
+            public string OrderersName { set; get; }
+        }
+
+        // 発注者追加：編集データ
+        public AddCmpData m_AddCmpData = new AddCmpData();
+
+
+        // 現場追加：発注者区分情報
+        public int m_OrderDiv = 0;
+
+        // 現場追加：発注者情報
+        public int m_OrderCode = 0;
+
+        // 現場追加：編集データクラス
+        public class AddFldData
+        {
+            public int RequestNo { set; get; }
+            public int OrderNo { set; get; }
+            public int OrderersDivision { set; get; }
+            public int OrderersCode { set; get; }
+            public string FieldName { set; get; }
+            public string BillCreationDate { set; get; }
+            public int BillTotalPrice { set; get; }
+            public int BillPrice { set; get; }
+            public int TaxPrice { set; get; }
+            public string PersonName { set; get; }
+            public int DepartmentCode { set; get; }
+        }
+
+        // 現場追加：編集データ
+        public List<AddFldData> m_lstAddFldData = new List<AddFldData>();
+
+        public FrmSelectRequest()
+        {
+            InitializeComponent();
+        }
+
+        public FrmSelectRequest(OpenMode mode)
+        {
+            InitializeComponent();
+
+            m_mode = mode;
+            // 発注者追加
+            if (m_mode == OpenMode.AddCmp)
+            {
+                this.Text = "請求先選択";
+            }
+            // 現場追加
+            else
+            {
+                this.Text = "請求書選択";
+            }
+        }
+
+        // フォームロード時
+        private void FrmSelectRequest_Load(object sender, EventArgs e)
+        {
+            try
+            {
+                // DataGridViewDataGridViewのヘッダー部分のプロパティの設定
+                this.dgvmaster.ColumnHeadersHeight = this.dgvmaster.ColumnHeadersHeight + 10;
+                this.dgvmaster.ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
+
+                // 発注者追加
+                if (m_mode == OpenMode.AddCmp)
+                {
+                    // 仮で20行だけ空行を作成
+                    for(int i=0;i<20;i++){
+                        this.dgvmaster.Rows.Add();
+                    }
+
+                    this.comboBoxName.Enabled = false;
+                    this.dgvmaster.Enabled = false;
+                    this.dgvmaster.Columns[5].Width = 404;
+
+                    List<string> lstDiv = new List<string>();
+                    if (!GetDivName(ref lstDiv)) return;
+
+                    this.comboBoxKbn.Items.AddRange(lstDiv.ToArray());
+                    this.comboBoxKbn.SelectedIndex = -1;
+
+                    this.SelectCheckBox.Visible = false;
+                }
+                // 現場追加
+                else
+                {
+                    string Name = "";
+
+                    if (!GetDivName(m_OrderDiv, ref Name)) return;
+                    this.comboBoxKbn.Items.AddRange(new object[]{ Name });
+                    this.comboBoxKbn.SelectedIndex = 0;
+                    this.comboBoxKbn.Enabled = false;
+
+                    if (!GetOrderName(m_OrderDiv, m_OrderCode, ref Name)) return;
+                    this.comboBoxName.Items.AddRange(new object[] { Name });
+                    this.comboBoxName.SelectedIndex = 0;
+                    this.comboBoxName.Enabled = false;
+
+                    this.SelectCheckBox.Visible = true;
+                    this.SelectCheckBox.ReadOnly = false;
+
+                    this.dgvmaster.Enabled = true;
+
+                    // 現場表示
+                    if (!DispFieldName(m_OrderDiv, m_OrderCode)) return;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        // 選択ボタン押下時
+        private void btnSelect_Click(object sender, EventArgs e)
+        {
+            DataGridView dgv = this.dgvmaster;
+
+            try
+            {
+                // 発注者追加
+                if (m_mode == OpenMode.AddCmp)
+                {
+                    // 親Windowに通知するパラメータを設定
+                    m_AddCmpData.isEdit = true;
+                    m_AddCmpData.OrderersDivision = m_lstOrderDiv[comboBoxKbn.SelectedIndex];
+                    m_AddCmpData.OrderersCode = m_lstOrderCode[comboBoxName.SelectedIndex];
+
+                    m_AddCmpData.OrderersName = CommonMotions.cnvString(this.comboBoxName.SelectedItem);
+                }
+                // 現場追加
+                else
+                {
+                    for(int Index = 0; Index < dgv.Rows.Count; Index++)
+                    {
+                        DataGridViewCheckBoxCell cb = (DataGridViewCheckBoxCell)dgv.Rows[Index].Cells[(int)DispColumn.Select];
+                        if ((bool)cb.Value == true)
+                        {
+                            m_lstAddFldData.Add(new AddFldData()
+                            {
+                                RequestNo = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.RequestNo].Value),
+                                OrderNo = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.OrderNo].Value),
+                                OrderersDivision = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.OrderersDivision].Value),
+                                OrderersCode = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.OrderersCode].Value),
+                                FieldName = CommonMotions.cnvString(dgv.Rows[Index].Cells[(int)DispColumn.FieldName].Value),
+                                BillCreationDate = CommonMotions.cnvString(dgv.Rows[Index].Cells[(int)DispColumn.BillCreationDate].Value),
+                                BillTotalPrice = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.BillTotalPrice].Value),
+                                BillPrice = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.BillPrice].Value),
+                                TaxPrice = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.TaxPrice].Value),
+                                PersonName = CommonMotions.cnvString(dgv.Rows[Index].Cells[(int)DispColumn.PersonName].Value),
+                                DepartmentCode = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.DepartmentCode].Value),
+                            });
+                        }
+                    }
+                }
+                this.Close();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        // 終了ボタン押下時
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            DataGridView dgv = this.dgvmaster;
+
+            try
+            {
+                // 発注者追加
+                if (m_mode == OpenMode.AddCmp)
+                {
+                    // 親Windowに通知するパラメータを設定
+                    m_AddCmpData.isEdit = false;
+                }
+                // 現場追加
+                else
+                {
+                    // NOP
+                }
+
+                this.Close();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        // 発注者区分コンボボックスの選択項目変更時
+        private void comboBoxKbn_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            try
+            {
+                // 発注者追加の場合のみ有効
+                if (m_mode != OpenMode.AddCmp) return;
+
+                // インデックス (表示順) から発注者名称を取得
+                List<string> lstOdr = new List<string>();
+                ComboBox Cb = (ComboBox)sender;
+                if (!GetOrderName(m_lstOrderDiv[Cb.SelectedIndex], ref lstOdr)) return;
+
+                // 発注者名称コンボボックス表示
+                this.comboBoxName.Items.Clear();
+                this.comboBoxName.Items.AddRange(lstOdr.ToArray());
+                this.comboBoxName.Enabled = true;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        // 発注者名称コンボボックスの選択項目変更時
+        private void comboBoxName_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            try
+            {
+                // 発注者追加の場合のみ有効
+                if (m_mode != OpenMode.AddCmp) return;
+
+                ComboBox Cb = (ComboBox)sender;
+                if (!DispFieldName(m_lstOrderDiv[this.comboBoxKbn.SelectedIndex], m_lstOrderCode[Cb.SelectedIndex])) return;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        // 発注者追加：発注者区分取得
+        private bool GetDivName(ref List<string> lstDiv)
+        {
+            IOMDivision IoDm = new IOMDivision();
+            List<DivisionMaster> lstDm = new List<DivisionMaster>(); 
+
+            try
+            {
+                string sSql = string.Format(" where DivisionCode = 1 group by NameString order by DisplayOrder");
+                if (!IoDm.SelectAction(sSql, ref lstDm)) return false;
+
+                foreach(DivisionMaster DmInfo in lstDm)
+                {
+                    lstDiv.Add(DmInfo.NameString);
+                    m_lstOrderDiv.Add(DmInfo.NameCode);
+                }
+                // 発注者コード情報クリア
+                m_lstOrderCode.Clear();
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                IoDm = null;
+            }
+        }
+
+        // 発注者追加：発注者名称取得
+        private bool GetOrderName(int NameCode, ref List<string> lstOdr)
+        {
+            IOMOrderers IoOm = new IOMOrderers();
+            List<OrderersMaster> lstOm = new List<OrderersMaster>();
+
+            try
+            {
+                string sSql = string.Format(" where OrderCotegory = {0} order by DisplayOrder", NameCode);
+                if (!IoOm.SelectAction(sSql, ref lstOm)) return false;
+
+                string OrderName = "";
+                foreach (OrderersMaster OmInfo in lstOm)
+                {
+                    // 発注社名１△発注者名２
+                    if (OmInfo.CorporateStatusPoint == 0)
+                    {
+                        if (OmInfo.OrderersName2 == "")
+                        {
+                            OrderName = OmInfo.OrderersName1;
+                        }
+                        else
+                        {
+                            OrderName = OmInfo.OrderersName1 + "　" + OmInfo.OrderersName2;
+                        }
+                    }
+                    // 法人格名称△発注者名１△発注者名２
+                    else if (OmInfo.CorporateStatusPoint == 1)
+                    {
+                        if (OmInfo.OrderersName2 == "")
+                        {
+                            OrderName = OmInfo.CorporateStatusName + "　" + OmInfo.OrderersName1;
+                        }
+                        else
+                        {
+                            OrderName = OmInfo.CorporateStatusName + "　" + OmInfo.OrderersName1 + "　" + OmInfo.OrderersName2;
+                        }
+                    }
+                    // 発注者名１△法人格名称△発注者名２
+                    else
+                    {
+                        if (OmInfo.OrderersName2 == "")
+                        {
+                            OrderName = OmInfo.OrderersName1 + "　" + OmInfo.CorporateStatusName;
+                        }
+                        else
+                        {
+                            OrderName = OmInfo.OrderersName1 + "　" + OmInfo.CorporateStatusName + "　" + OmInfo.OrderersName2;
+                        }
+                    }
+                    if (OmInfo.OrderCotegory == 8)
+                    {
+                        OrderName += "様";
+                    }
+
+                    lstOdr.Add(OrderName);
+                    m_lstOrderCode.Add(OmInfo.OrderersCode);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                IoOm = null;
+            }
+        }
+
+        // 発注者追加：現場リスト表示
+        public bool DispFieldName(int OrderDiv, int OrderCode)
+        {
+            IORequestTotalData IoRtd = new IORequestTotalData();
+            ArrayList arData = new ArrayList();
+            StringBuilder sql;
+            DataGridView dgv = this.dgvmaster;
+
+            try
+            {
+                // SQL作成
+                sql = new StringBuilder();
+                sql.AppendLine("select  ");
+                sql.AppendLine("Rtd.RequestNo, ");                              // 請求合計データ       ：請求No.
+                sql.AppendLine("Rtd.OrderNo, ");                                //                      ：受付番号
+                sql.AppendLine("Rtd.OrderersDivision, ");                       //                      ：発注者区分
+                sql.AppendLine("Rtd.OrderersCode, ");                           //                      ：発注者コード
+                sql.AppendLine("DATE_FORMAT(Rtd.BillCreationDate, '%Y/%m/%d') as BillCreationDate, "); //：請求書作成日
+                sql.AppendLine("Rtd.BillTotalPrice, ");                              //                 ：請求書合計金額
+                sql.AppendLine("Rtd.BillPrice, ");                              //                      ：請求金額
+                sql.AppendLine("Rtd.TaxPrice, ");                               //                      ：消費税
+
+                sql.AppendLine("CbiD.DetailString, ");                          // 工事基本情報明細     ：明細内容
+
+                sql.AppendLine("PicM.PersonName, ");                            // 担当者マスタ         ：担当者名
+                sql.AppendLine("PicM.DepartmentCode ");                         //                      ：所属部署コード
+
+                sql.AppendLine("from RequestTotalData as Rtd ");
+                sql.AppendLine("left join ConstructionBaseInfoDetail as CbiD on Rtd.RequestNo = CbiD.ConstructionCode and CbiD.DetailNo = 2 ");
+                sql.AppendLine("left join ");
+                sql.AppendLine("    (ConstructionBaseInfo as Cbi left join ");
+                sql.AppendLine("        (PersonInChargeMaster as PicM left join ApprovalMaster as Am on PicM.DepartmentCode = Am.DepartmentCode and Am.ApprovalCode = 3 and Am.ApprovalAuthority = 1) ");
+                sql.AppendLine("    on Cbi.ConstructionPersonCode = PicM.PersonCode) ");
+                sql.AppendLine("on Rtd.RequestNo = Cbi.ConstructionCode ");
+
+                sql.AppendFormat("where Rtd.OrderersDivision = {0} and Rtd.OrderersCode = {1} and Rtd.AssignedFlg = 0 ", OrderDiv, OrderCode);
+                // 現場追加の場合はログインユーザでフィルタ
+                if (m_mode == OpenMode.AddFld)
+                {
+                    sql.AppendFormat("and PicM.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
+                }
+
+                sql.AppendLine("group by ");
+                sql.AppendLine("Rtd.RequestNo, ");
+                sql.AppendLine("Rtd.OrderNo, ");
+                sql.AppendLine("Rtd.OrderersDivision, ");
+                sql.AppendLine("Rtd.OrderersCode, ");
+                sql.AppendLine("Rtd.BillCreationDate, ");
+                sql.AppendLine("Rtd.BillTotalPrice, ");
+                sql.AppendLine("Rtd.BillPrice, ");
+                sql.AppendLine("Rtd.TaxPrice, ");
+                sql.AppendLine("CbiD.DetailString, ");
+                sql.AppendLine("PicM.PersonName, ");
+                sql.AppendLine("PicM.DepartmentCode ");
+
+                sql.AppendLine("order by Rtd.RequestNo, Rtd.OrderNo ");
+
+                // データ取得
+                if (!IoRtd.ExecuteReader(sql.ToString(), ref arData)) return false;
+
+                int LineCnt = 0;
+                
+                // グリッドの行を一旦初期化
+                dgv.Rows.Clear();
+                foreach (object[] work in arData)
+                {
+                    dgv.Rows.Add();
+
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.No].Value = LineCnt + 1;
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.RequestNo].Value = CommonMotions.cnvInt(work[(int)ClickGetData.RequestNo]);
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.OrderNo].Value = CommonMotions.cnvInt(work[(int)ClickGetData.OrderNo]);
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.OrderersDivision].Value = CommonMotions.cnvInt(work[(int)ClickGetData.OrderersDivision]);
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.OrderersCode].Value = CommonMotions.cnvInt(work[(int)ClickGetData.OrderersCode]);
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.FieldName].Value = CommonMotions.cnvString(work[(int)ClickGetData.DetailString]);
+                    if (CommonMotions.cnvInt(work[(int)ClickGetData.OrderNo]) > 1 )
+                    {
+                        dgv.Rows[LineCnt].Cells[(int)DispColumn.FieldName].Value += "（" + CommonMotions.cnvInt(work[(int)ClickGetData.OrderNo]).ToString() + "回目）";
+                    }
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.BillCreationDate].Value = CommonMotions.cnvString(work[(int)ClickGetData.BillCreationDate]);
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.BillTotalPrice].Value = CommonMotions.cnvInt(work[(int)ClickGetData.BillTotalPrice]).ToString("#,###,###,##0");
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.BillPrice].Value = CommonMotions.cnvInt(work[(int)ClickGetData.BillPrice]);
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.TaxPrice].Value = CommonMotions.cnvInt(work[(int)ClickGetData.TaxPrice]);
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.Select].Value = false;
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.PersonName].Value = CommonMotions.cnvString(work[(int)ClickGetData.PersonName]);
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.DepartmentCode].Value = CommonMotions.cnvInt(work[(int)ClickGetData.DepartmentCode]);
+
+                    LineCnt++;
+                }
+
+                if (LineCnt > 0)
+                {
+                    // データグリッド有効化
+                    dgv.Enabled = true;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                IoRtd = null;
+            }
+        }
+
+        // 現場追加：発注者区分取得
+        private bool GetDivName(int OrderDiv, ref string DivName)
+        {
+            IOMDivision IoDm = new IOMDivision();
+            List<DivisionMaster> lstDm = new List<DivisionMaster>();
+
+            try
+            {
+                string sSql = string.Format(" where DivisionCode = 1 and NameCode = {0} ", OrderDiv);
+                if (!IoDm.SelectAction(sSql, ref lstDm)) return false;
+
+                foreach (DivisionMaster DmInfo in lstDm)
+                {
+                    DivName = DmInfo.NameString;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                IoDm = null;
+            }
+        }
+
+        // 現場追加：発注者名称取得
+        private bool GetOrderName(int OrderDiv, int OrderCode, ref string OdrName)
+        {
+            IOMOrderers IoOm = new IOMOrderers();
+            List<OrderersMaster> lstOm = new List<OrderersMaster>();
+
+            try
+            {
+                string sSql = string.Format(" where OrderCotegory = {0} and OrderersCode = {1} ", OrderDiv, OrderCode);
+                if (!IoOm.SelectAction(sSql, ref lstOm)) return false;
+
+                string OrderName = "";
+                foreach (OrderersMaster OmInfo in lstOm)
+                {
+                    // 発注社名１△発注者名２
+                    if (OmInfo.CorporateStatusPoint == 0)
+                    {
+                        if (OmInfo.OrderersName2 == "")
+                        {
+                            OrderName = OmInfo.OrderersName1;
+                        }
+                        else
+                        {
+                            OrderName = OmInfo.OrderersName1 + "　" + OmInfo.OrderersName2;
+                        }
+                    }
+                    // 法人格名称△発注者名１△発注者名２
+                    else if (OmInfo.CorporateStatusPoint == 1)
+                    {
+                        if (OmInfo.OrderersName2 == "")
+                        {
+                            OrderName = OmInfo.CorporateStatusName + "　" + OmInfo.OrderersName1;
+                        }
+                        else
+                        {
+                            OrderName = OmInfo.CorporateStatusName + "　" + OmInfo.OrderersName1 + "　" + OmInfo.OrderersName2;
+                        }
+                    }
+                    // 発注者名１△法人格名称△発注者名２
+                    else
+                    {
+                        if (OmInfo.OrderersName2 == "")
+                        {
+                            OrderName = OmInfo.OrderersName1 + "　" + OmInfo.CorporateStatusName;
+                        }
+                        else
+                        {
+                            OrderName = OmInfo.OrderersName1 + "　" + OmInfo.CorporateStatusName + "　" + OmInfo.OrderersName2;
+                        }
+                    }
+                    if (OmInfo.OrderCotegory == 8)
+                    {
+                        OrderName += "様";
+                    }
+
+                    OdrName = OrderName;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                IoOm = null;
+            }
+        }
+    }
+}
